/*Now the CSS*/
.family-tree {
    overflow: auto;
    padding-bottom: 40px;
}

.family-tree > ul {
    justify-content: center;
}

.family-tree ul {
    padding-top: 20px;
    padding-left: 0;
    position: relative;

    transition: all 0.5s;
    -webkit-transition: all 0.5s;
    -moz-transition: all 0.5s;
    display: flex;
    justify-content: space-around;
}

.family-tree li {
    float: left;
    text-align: center;
    list-style-type: none;
    position: relative;
    padding: 20px 5px 0 5px;

    transition: all 0.5s;
    -webkit-transition: all 0.5s;
    -moz-transition: all 0.5s;
}

/*We will use ::before and ::after to draw the connectors*/

.family-tree li::before,
.family-tree li::after {
    content: "";
    position: absolute;
    top: 0;
    right: 50%;
    border-top: 1px solid #ccc;
    width: 50%;
    height: 20px;
}
.family-tree li::after {
    right: auto;
    left: 50%;
    border-left: 1px solid #ccc;
}

/*We need to remove left-right connectors from elements without 
any siblings*/
.family-tree li:only-child::after,
.family-tree li:only-child::before {
    display: none;
}

/*Remove space from the top of single children*/
.family-tree li:only-child {
    padding-top: 0;
}

/*Remove left connector from first child and 
right connector from last child*/
.family-tree li:first-child::before,
.family-tree li:last-child::after {
    border: 0 none;
}
/*Adding back the vertical connector to the last nodes*/
.family-tree li:last-child::before {
    border-right: 1px solid #ccc;
    border-radius: 0 5px 0 0;
    -webkit-border-radius: 0 5px 0 0;
    -moz-border-radius: 0 5px 0 0;
}
.family-tree li:first-child::after {
    border-radius: 5px 0 0 0;
    -webkit-border-radius: 5px 0 0 0;
    -moz-border-radius: 5px 0 0 0;
}

/*Time to add downward connectors from parents*/
.family-tree ul ul::before {
    content: "";
    position: absolute;
    top: 0;
    left: 50%;
    border-left: 1px solid #ccc;
    width: 0;
    height: 20px;
}

.family-tree li div {
    border: 1px solid #ccc;
    padding: 5px 10px;
    text-decoration: none;
    color: #666;
    font-family: arial, verdana, tahoma;
    font-size: 11px;
    display: inline-block;
    cursor: pointer;
    height: 38px;

    border-radius: 5px;
    -webkit-border-radius: 5px;
    -moz-border-radius: 5px;

    transition: all 0.5s;
    -webkit-transition: all 0.5s;
    -moz-transition: all 0.5s;
}

/*Time for some hover effects*/
/*We will apply the hover effect the the lineage of the element also*/
.family-tree li div:hover,
.family-tree li div:hover + ul li div {
    background: #c8e4f8;
    color: #000;
    border: 1px solid #94a0b4;
}
/*Connector styles on hover*/
.family-tree li div:hover + ul li::after,
.family-tree li div:hover + ul li::before,
.family-tree li div:hover + ul::before,
.family-tree li div:hover + ul ul::before {
    border-color: #94a0b4;
}

/*Thats all. I hope you enjoyed it.
Thanks :)*/
